### Signal

# GUPnP ControlPoint::device-proxy-available

#### Declaration

    void
    device_proxy_available (
      GUPnPControlPoint* self,
      GUPnPDeviceProxy* proxy,
      gpointer user_data
    )

#### Description [src]

The ::device-proxy-available signal is emitted whenever a new device has become available.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`proxy` | `GUPnPDeviceProxy`
| The now available `GUPnPDeviceProxy`.
| The data is owned by the caller of the function.